LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XMimeTypeInfo Interface Referencepublished

provides information regarding which MIME types are supported by a filter. More...

`import"XMimeTypeInfo.idl";`

Inheritance diagram for XMimeTypeInfo:

## Public Member Functions
boolean | supportsMimeType ([in] string MimeTypeName)
| asks whether a MIME type is supported or not. More...
sequence< string > | getSupportedMimeTypeNames ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides information regarding which MIME types are supported by a filter.

## Member Function Documentation

## ◆ getSupportedMimeTypeNames()

sequence<string> getSupportedMimeTypeNames | ( |  | ) |

Returns
  a sequence of the names of all supported MIME types.

## ◆ supportsMimeType()

boolean supportsMimeType | ( | [in] string | MimeTypeName | ) |

asks whether a MIME type is supported or not.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XMimeTypeInfo.idl